Benefits
Get Benefit
Returns a Benefit by ID
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
benefit_id*string
Header Parameters
Members-Context?string
Members organization id (org_…) when the client has multiple organizations.
Default
""Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.members.dev/v1/benefits/string"{
"id": "ben_01KKSMB47VYGW97GFE67VGDK7M",
"short_id": "string",
"benefit_type": "custom",
"name": "Premium Support",
"description": "24/7 priority support access",
"portal": {
"is_member_visible": true
},
"default_value": "default",
"created_at": null,
"updated_at": null
}{
"type": "https://api.members.dev/errors/invalid_credentials",
"title": "Invalid credentials",
"status": 401,
"detail": "Invalid API Key or token.",
"code": "invalid_credentials"
}{
"type": "https://api.members.dev/errors/not_linked_to_tenant",
"title": "Not linked to tenant",
"status": 403,
"detail": "Not linked to this tenant",
"code": "not_linked_to_tenant"
}{
"type": "https://api.members.dev/errors/member_not_found",
"title": "Member not found",
"status": 404,
"detail": "No member exists with the given id in this organization.",
"code": "member_not_found"
}{
"type": "https://api.members.dev/errors/members_context_required",
"title": "Members context required",
"status": 422,
"detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
"code": "members_context_required"
}{
"type": "https://api.members.dev/errors/rate_limit_exceeded",
"title": "Rate limit exceeded",
"status": 429,
"detail": "Rate limit exceeded",
"code": "rate_limit_exceeded"
}